module.exports = {
  plugins: ['prettier'],
  env: {
    es2021: true,
    node: true,
  },
  rules: {
    'no-console': 0,
    'no-useless-escape': 0,
    'prefer-rest-params': 0,
    'prefer-spread': 0,
    '@typescript-eslint/no-var-requires': 0,
    '@typescript-eslint/camelcase': 0,
    '@typescript-eslint/explicit-function-return-type': 0,
    '@typescript-eslint/interface-name-prefix': 0,
    '@typescript-eslint/no-use-before-define': 0,
    '@typescript-eslint/no-unused-vars': 0,
    '@typescript-eslint/no-empty-function': 0,
    '@typescript-eslint/no-explicit-any': 0,
    '@typescript-eslint/ban-ts-ignore': 0,
    '@typescript-eslint/explicit-module-boundary-types': 0,
    // '@typescript-eslint/ban-ts-ignore': 1,
    // '@typescript-eslint/no-this-alias': [
    //   'error',
    //   {
    //     allowDestructuring: true, // Allow `const { props, state } = this`; false by default
    //     allowedNames: ['self'], // Allow `const self = this`; `[]` by default
    //   },
    // ],
    'prettier/prettier': 'error',
  },
  extends: ['eslint:recommended', 'plugin:prettier/recommended'],
  parserOptions: {
    parser: '@typescript-eslint/parser',
    ecmaVersion: 2020,
    sourceType: 'module',
    // ecmaFeatures: {
    //   jsx: true,
    // },
  },
};
