const { program } = require('commander');
const fs = require('fs');
const path = require('path');

//引入所有的命令
const outerFilePath = path.resolve(__dirname, './modules');
const files = fs.readdirSync(outerFilePath); //获取modules目录下面的所有文件或者文件夹
for (let i of files) {
  //对文件或者文件夹目录进行循环
  const currentPath = `${outerFilePath}/${i}`; //获取当前文件的路径
  const currentFile = fs.statSync(currentPath); //获取当前文件
  currentFile.isDirectory() && require(currentPath); //判断当前文件时不是一个文件夹，如果是文件夹，就导入
}

//解析所有命令
program.parse(process.argv);
